## kf6-kio 6.19.1+p24.04+vstable+git20251030.0233

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

include(ECMAddTests)

find_package(Qt6Widgets REQUIRED)

########### unittests ###############

add_subdirectory(http)

find_package(Qt6Concurrent ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

ecm_add_test(
    metadatatest.cpp
    NAME_PREFIX "kiocore-"
    LINK_LIBRARIES KF6::KIOCore Qt6::Test
)

if (ACL_FOUND)
    set (kacltest_SRC kacltest.cpp)
endif()

ecm_add_tests(
 ${kacltest_SRC}
 listdirtest.cpp
 kmountpointtest.cpp
 upurltest.cpp
 dataprotocoltest.cpp
 jobremotetest.cpp
 kprotocolinfotest.cpp
 globaltest.cpp
 mimetypefinderjobtest.cpp
 threadtest.cpp
 udsentrytest.cpp
 urlutiltest.cpp
 batchrenamejobtest.cpp
 ksambasharetest.cpp
 filefiltertest.cpp
 NAME_PREFIX "kiocore-"
 LINK_LIBRARIES KF6::KIOCore KF6::I18n KF6::ConfigCore KF6::Service Qt6::Test Qt6::Network Qt6::Xml
)

target_link_libraries(threadtest Qt6::Concurrent)

# disable some tests that fail on Windows ATM
if (NOT WIN32)
  ecm_add_tests(
    jobtest.cpp
    kfileitemtest.cpp
    mkpathjobtest.cpp
    deletejobtest.cpp
    deleteortrashjobtest.cpp
    krecentdocumenttest.cpp
    NAME_PREFIX "kiocore-"
    LINK_LIBRARIES KF6::KIOCore KF6::I18n KF6::ConfigCore KF6::Service Qt6::Test Qt6::Network Qt6::Xml
  )

  target_link_libraries(deleteortrashjobtest KF6::KIOWidgets)
endif()

ecm_add_test(
    connectionbackendtest.cpp
    ../src/core/connectionbackend.cpp
    ../src/core/kiocoreconnectiondebug.cpp
    TEST_NAME connectionbackendtest
    NAME_PREFIX "kiocore-"
    LINK_LIBRARIES KF6::KIOCore Qt6::Test Qt6::Network KF6::I18n
)

# as per sysadmin request these are limited to linux only! https://invent.kde.org/frameworks/kio/-/merge_requests/1008
if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND USE_FTPD_WSGIDAV_UNITTEST)
    include(FindGem)
    find_gem(ftpd)
    set_package_properties(Gem_ftpd PROPERTIES TYPE REQUIRED
        DESCRIPTION "Ruby ftpd gem. Either install it from your distribution's repos or by running `gem install --user-install ftpd`, which will install it under your user's home dir."
        PURPOSE "Ruby gem 'ftpd' required for testing the ftp worker."
        URL "https://rubygems.org/gems/ftpd")
    add_definitions(-DRubyExe_EXECUTABLE="${RubyExe_EXECUTABLE}")
    ecm_add_tests(
        ftptest.cpp
        NAME_PREFIX "kiocore-"
        LINK_LIBRARIES KF6::KIOCore KF6::I18n Qt6::Test Qt6::Network
    )

    find_package(WsgidavExe)
    set_package_properties(WsgidavExe PROPERTIES TYPE REQUIRED
        DESCRIPTION "Python webdav server. Can be easily installed by running `pip3 install wsgidav`, which will install it under your user's home dir."
        PURPOSE "wsgidav required for running the webdavtest."
        URL "https://pypi.org/project/WsgiDAV/")
    ecm_add_tests(
        webdavtest.cpp
        NAME_PREFIX "kiocore-"
        LINK_LIBRARIES KF6::KIOCore Qt6::Test Qt6::Network
    )
endif()

if (TARGET KF6::KIOGui)
  ecm_add_tests(
    favicontest.cpp
    openurljobtest.cpp
    kemailclientlauncherjobtest.cpp
    NAME_PREFIX "kiogui-"
    LINK_LIBRARIES KF6::KIOCore KF6::KIOGui KF6::WindowSystem Qt6::Test
  )

  target_link_libraries(favicontest Qt6::Concurrent)

  # disable some tests that fail on Windows ATM
  if (NOT WIN32)
    foreach(_kprocessrunnerTest applicationlauncherjob commandlauncherjob kterminallauncherjob)
      foreach(_systemd "" "SCOPE" "SERVICE")
        set(_scope 0)
        set(_service 0)
        set(_forking 0)
        if(_systemd STREQUAL "SERVICE")
          set(KPR_TEST_TARGET ${_kprocessrunnerTest}_servicetest)
          set(_service 1)
        elseif(_systemd STREQUAL "SCOPE")
          set(KPR_TEST_TARGET ${_kprocessrunnerTest}_scopetest)
          set(_scope 1)
        else()
          set(KPR_TEST_TARGET ${_kprocessrunnerTest}_forkingtest)
          set(_forking 1)
        endif()
        add_executable(${KPR_TEST_TARGET} ${_kprocessrunnerTest}test.cpp)
        target_link_libraries(${KPR_TEST_TARGET} KF6::WindowSystem KF6::KIOCore KF6::KIOGui Qt6::Test)
        ecm_mark_as_test(${KPR_TEST_TARGET})
        add_test(NAME ${KPR_TEST_TARGET} COMMAND ${KPR_TEST_TARGET})
        set_tests_properties(${KPR_TEST_TARGET} PROPERTIES ENVIRONMENT
          "_KDE_APPLICATIONS_AS_SERVICE=${_service};
          _KDE_APPLICATIONS_AS_SCOPE=${_scope};
          _KDE_APPLICATIONS_AS_FORKING=${_forking};"
          )
      endforeach()
    endforeach()
  endif()
endif()

if (NOT ANDROID)
if (TARGET KF6::KIOWidgets)
ecm_add_tests(
 clipboardupdatertest.cpp
 kfileitemactionstest.cpp
 pastetest.cpp
 kurifiltersearchprovideractionstest.cpp
 ENVIRONMENT QT_QPA_PLATFORM=offscreen
 NAME_PREFIX "kiowidgets-"
 LINK_LIBRARIES KF6::KIOCore KF6::KIOWidgets Qt6::Test ${DBUS_LIB}
)

# disable some tests that fail on Windows ATM
if (NOT WIN32)
  ecm_add_tests(
    desktopexecparsertest.cpp # desktopexecparsertest needs a classic unix shell & terminal
    dropjobtest.cpp
    fileundomanagertest.cpp
    kdirmodeltest.cpp
    kdynamicjobtrackernowidgetstest.cpp
    kurlcompletiontest.cpp
    ENVIRONMENT QT_QPA_PLATFORM=offscreen
    NAME_PREFIX "kiowidgets-"
    LINK_LIBRARIES KF6::KIOCore KF6::KIOWidgets Qt6::Test ${DBUS_LIB}
  )
  set(_libexec_dir_kf "${KDKE_INSTALL_FULL_LIBEXECDIR_KF}")
  target_compile_definitions(desktopexecparsertest PRIVATE "KDE_INSTALL_FULL_LIBEXECDIR_KF=${_libexec_dir_kf}")
endif()

# disable some tests that fail on Windows ATM
if (NOT WIN32)
  set(kurifiltertest_libs KF6::KIOCore KF6::KIOWidgets Qt6::Test ${DBUS_LIB})

  set(URIFILTER_COLON_TEST kiowidgets-kurifiltertest-colon-separator)
  ecm_add_test(kurifiltertest.cpp
      LINK_LIBRARIES ${kurifiltertest_libs}
      ENVIRONMENT QT_QPA_PLATFORM=offscreen
      TEST_NAME ${URIFILTER_COLON_TEST}
  )
  target_compile_definitions(${URIFILTER_COLON_TEST} PUBLIC "-DWEBSHORTCUT_SEPARATOR=':'")

  set(URIFILTER_SPACE_TEST kiowidgets-kurifiltertest-space-separator)
  ecm_add_test(kurifiltertest.cpp
      LINK_LIBRARIES ${kurifiltertest_libs}
      ENVIRONMENT QT_QPA_PLATFORM=offscreen
      TEST_NAME ${URIFILTER_SPACE_TEST}
  )
  target_compile_definitions(${URIFILTER_SPACE_TEST} PUBLIC "-DWEBSHORTCUT_SEPARATOR=' '")

  set_tests_properties(kiowidgets-kurifiltertest-space-separator PROPERTIES RUN_SERIAL TRUE)

  # Same as kurlcompletiontest, but with immediate return, and results posted by thread later
  ecm_add_test(
    kurlcompletiontest.cpp
    TEST_NAME kurlcompletiontest-nowait
    ENVIRONMENT QT_QPA_PLATFORM=offscreen
    NAME_PREFIX "kiowidgets-"
    LINK_LIBRARIES KF6::KIOCore KF6::KIOWidgets Qt6::Test
  )
  set_target_properties(kurlcompletiontest-nowait PROPERTIES COMPILE_FLAGS "-DNO_WAIT")
endif()

endif()

if (TARGET KF6::KIOFileWidgets)
include_directories(${CMAKE_SOURCE_DIR}/src/filewidgets ${CMAKE_BINARY_DIR}/src/filewidgets)
ecm_add_tests(
 kurlnavigatortest.cpp
 kurlcomboboxtest.cpp
 kdiroperatortest.cpp
 kfilecustomdialogtest.cpp
 kurlrequestertest.cpp
 kfilefiltercombotest.cpp
 ENVIRONMENT QT_QPA_PLATFORM=offscreen
 NAME_PREFIX "kiofilewidgets-"
 LINK_LIBRARIES KF6::KIOFileWidgets KF6::KIOWidgets KF6::Bookmarks Qt6::Test KF6::I18n KF6::WindowSystem
)

# disable some tests that fail on Windows ATM
if (NOT WIN32)
  ecm_add_tests(
    kfilecopytomenutest.cpp
    kfilewidgettest.cpp
    knewfilemenutest.cpp
    kfileplacesmodeltest.cpp
    kfileplacesviewtest.cpp
    ENVIRONMENT QT_QPA_PLATFORM=offscreen
    NAME_PREFIX "kiofilewidgets-"
    LINK_LIBRARIES KF6::KIOFileWidgets KF6::KIOWidgets KF6::Bookmarks Qt6::Test KF6::I18n KF6::WindowSystem
  )

  set_tests_properties(kiofilewidgets-kfileplacesmodeltest PROPERTIES RUN_SERIAL TRUE)
  set_tests_properties(kiofilewidgets-kfileplacesviewtest PROPERTIES RUN_SERIAL TRUE)
endif()

# TODO: fix symbol exports for windows -> 'KSambaShare::KSambaShare': inconsistent dll linkage
if (NOT WIN32)
ecm_add_test(
    ksambashareprivatetest.cpp
    ../src/core/ksambashare.cpp
    ../src/core/kiocoredebug.cpp
    TEST_NAME ksambashareprivatetest
    NAME_PREFIX "kiocore-"
    LINK_LIBRARIES KF6::KIOCore Qt6::Test Qt6::Network
)
endif()

endif()
endif()

# this should be done by cmake, see bug 371721
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set_property(TARGET jobtest APPEND PROPERTY AUTOMOC_MOC_OPTIONS --include ${CMAKE_BINARY_DIR}/src/core/moc_predefs.h)
endif()

# Benchmark, compiled, but not run automatically with ctest
add_executable(kcoredirlister_benchmark kcoredirlister_benchmark.cpp)
target_link_libraries(kcoredirlister_benchmark KF6::KIOCore KF6::KIOWidgets Qt6::Test)

add_executable(udsentry_api_comparison_benchmark udsentry_api_comparison_benchmark.cpp)
target_link_libraries(udsentry_api_comparison_benchmark KF6::KIOCore KF6::KIOWidgets Qt6::Test)

add_executable(udsentry_benchmark udsentry_benchmark.cpp)
target_link_libraries(udsentry_benchmark KF6::KIOCore KF6::KIOWidgets Qt6::Test)

=== debian/changelog ===
kf6-kio (6.19.1+p24.04+vstable+git20251030.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 02:33:30 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         ca-certificates,
         dbus (>= 1.8),
         kded5,
         kinit,
         libkf5parts5,
         libkf5service-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-kio 6.19.1+p24.04+vunstable+git20251020.1010

=== debian/changelog ===
kf6-kio (6.19.1+p24.04+vunstable+git20251020.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:10:26 +0000

## kf6-kio 6.20.0

=== debian/changelog ===
kf6-kio (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:09 +0100

=== debian/control ===
Source: kf6-kio
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               kded6-dev (>= 6.20.0~),
               libacl1-dev,
               libkf6archive-dev (>= 6.20.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6bookmarks-dev (>= 6.20.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6completion-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6crash-dev (>= 6.20.0~),
               libkf6dbusaddons-dev (>= 6.20.0~),
               libkf6doctools-dev (>= 6.20.0~),
               libkf6guiaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6iconthemes-dev (>= 6.20.0~),
               libkf6itemviews-dev (>= 6.20.0~),
               libkf6jobwidgets-dev (>= 6.20.0~),
               libkf6service-dev (>= 6.20.0~),
               libkf6solid-dev (>= 6.20.0~),
               libkf6wallet-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libkf6windowsystem-dev (>= 6.20.0~),
               libmount-dev [linux-any],
               libxml2-dev,
               libxslt1-dev,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kio
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
Rules-Requires-Root: no

Package: kio6
Architecture: any
Depends: kded6,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: switcheroo-control [amd64 i386],
            systemsettings,
Description: resource and network access abstraction
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.

Package: libkf6kio-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks-dev (>= 6.20.0~),
         libkf6completion-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6itemviews-dev (>= 6.20.0~),
         libkf6jobwidgets-dev (>= 6.20.0~),
         libkf6service-dev (>= 6.20.0~),
         libkf6solid-dev (>= 6.20.0~),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         libkf6windowsystem-dev (>= 6.20.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Recommends: libkf6kio-doc (= ${source:Version}),
Description: resource and network access abstraction (development files)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the development files for kio.

Package: libkf6kio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: resource and network access abstraction (documentation)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the QCH documentation files.

Package: libkf6kiocore6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO core library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains the core classes.

Package: libkf6kiofilewidgets6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO file widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some file dialog widgets.

Package: libkf6kiogui6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO gui library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains gui related jobs.

Package: libkf6kiowidgets6
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some UI widgets.

## kf6-kio 6.20.0a

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -223,6 +223,7 @@
     knewfilemenutest.cpp
     kfileplacesmodeltest.cpp
     kfileplacesviewtest.cpp
+    kdirlistertest.cpp
     ENVIRONMENT QT_QPA_PLATFORM=offscreen
     NAME_PREFIX "kiofilewidgets-"
     LINK_LIBRARIES KF6::KIOFileWidgets KF6::KIOWidgets KF6::Bookmarks Qt6::Test KF6::I18n KF6::WindowSystem

=== docs/kioworker6/ftp/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/ftp)

=== src/kioworkers/help/CMakeLists.txt ===
# kio_help only buildable if doc tools around
if (KF6DocTools_FOUND)

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

include(ConfigureChecks.cmake)
configure_file(config-help.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-help.h )

#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/checkXML )

find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

########### next target ###############
kcoreaddons_add_plugin(kio_help INSTALL_NAMESPACE "kf6/kio")

target_sources(kio_help PRIVATE
    kio_help.cpp
    main.cpp
    xslt_help.cpp
)

target_link_libraries(kio_help
   Qt6::Gui # QTextDocument
   Qt6::Network
   KF6::I18n
   KF6::Archive
   KF6::KIOCore
   KF6::DocTools
   LibXml2::LibXml2
   LibXslt::LibExslt
)

install(TARGETS kio_help  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)


########### next target ###############
kcoreaddons_add_plugin(kio_ghelp INSTALL_NAMESPACE "kf6/kio")

target_sources(kio_ghelp PRIVATE
    kio_help.cpp
    main_ghelp.cpp
    xslt_help.cpp
)

target_link_libraries(kio_ghelp
   Qt6::Gui # QTextDocument
   KF6::I18n
   KF6::Archive
   KF6::KIOCore
   KF6::DocTools
   Qt6::Network
   LibXml2::LibXml2
   LibXslt::LibExslt
)
if(WIN32)
    # libxml/libxslt pulls in windows.h, this breaks QDateTime
    target_compile_definitions(kio_help PRIVATE NOMINMAX)
    target_compile_definitions(kio_ghelp PRIVATE NOMINMAX)
endif()

endif()

=== debian/changelog ===
kf6-kio (6.20.0a-0ubuntu1) resolute; urgency=medium

  * Bump version for upstream tarball respin.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 22:41:06 +0000

kf6-kio (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kf6-kio
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
-               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.20.0~),
                gettext,
                kded6-dev (>= 6.20.0~),
                libacl1-dev,
                libkf6archive-dev (>= 6.20.0~),
-               libkf6auth-dev (>= 6.18.0~),
+               libkf6auth-dev (>= 6.20.0~),
                libkf6bookmarks-dev (>= 6.20.0~),
                libkf6colorscheme-dev (>= 6.20.0~),
                libkf6completion-dev (>= 6.20.0~),
                libkf6config-dev (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
+               libkf6configwidgets-dev (>= 6.20.0~),
                libkf6coreaddons-dev (>= 6.20.0~),
                libkf6crash-dev (>= 6.20.0~),
                libkf6dbusaddons-dev (>= 6.20.0~),
@@ -38,23 +39,23 @@
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
-               qt6-5compat-dev (>= 6.6.0~),
+               qt6-5compat-dev (>= 6.8.0~),
                qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kio
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
 Rules-Requires-Root: no
 
 Package: kio6
 Architecture: any
 Depends: kded6,
+         kwallet6,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: switcheroo-control [amd64 i386],
-            systemsettings,
+Suggests: systemsettings,
 Description: resource and network access abstraction
  KDE Input/Output framework provides a single API for
  operating on files, whether local or on a remote server.
@@ -75,7 +76,7 @@
          libkf6solid-dev (>= 6.20.0~),
          libkf6widgetsaddons-dev (>= 6.20.0~),
          libkf6windowsystem-dev (>= 6.20.0~),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
          ${so:Depends},
@@ -105,8 +106,7 @@
 
 Package: libkf6kiocore6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: resource and network access abstraction (KIO core library)
  KDE Input/Output framework provides a single API for
@@ -119,8 +119,7 @@
 
 Package: libkf6kiofilewidgets6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: resource and network access abstraction (KIO file widgets library)
  KDE Input/Output framework provides a single API for
@@ -133,8 +132,7 @@
 
 Package: libkf6kiogui6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: resource and network access abstraction (KIO gui library)
  KDE Input/Output framework provides a single API for
@@ -147,8 +145,7 @@
 
 Package: libkf6kiowidgets6
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: resource and network access abstraction (KIO widgets library)
  KDE Input/Output framework provides a single API for

## kf6-kio 6.20.0+p24.04+vunstable+git20251202.0944

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
set(KF_DEP_VERSION "6.20.0") # handled by release scripts

project(KIO VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.20.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMSourceVersionControl)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KIO
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  SOVERSION 6)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KIOCORE_ONLY "Only compile KIOCore, not KIOWidgets or anything that depends on it. This will disable support for cookies and passwordhandling (prompting and storing)." OFF)
option(KIOGUI_ONLY "Build only KIOCore + KIOGui." OFF)

# Enable state assertion by default on Jenkins and from-git builds.
# This option should eventually be dropped and always be enabled.
set(ASSERT_WORKER_STATES_DEFAULT OFF)
if(DEFINED ENV{JENKINS_SERVER_COOKIE} OR ECM_SOURCE_UNDER_VERSION_CONTROL)
    set(ASSERT_WORKER_STATES_DEFAULT ON)
endif()
option(KIO_ASSERT_WORKER_STATES
    "Used to control whether worker state assertions are enabled. When not enabled only warnings are generated."
    ${ASSERT_WORKER_STATES_DEFAULT})

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(USE_FTPD_WSGIDAV_UNITTEST "Use ftpd Ruby Gem (for ftptest) and wsgidav Python module (for webdavtest) in unittests. Note that this is a temporary option that will be removed when distros add those packages in their repos." OFF)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})
find_package(KF6Solid ${KF_DEP_VERSION} REQUIRED) # for kio_trash
if (NOT ANDROID)
    find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
endif()

if (NOT KIOCORE_ONLY)
    find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)
    if (NOT KIOGUI_ONLY)
        find_package(KF6Bookmarks ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6Completion ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6IconThemes ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6ItemViews ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6JobWidgets ${KF_DEP_VERSION} REQUIRED)
        find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

        find_package(KF6KDED ${KF_DEP_VERSION})
        set_package_properties(KF6KDED PROPERTIES DESCRIPTION "Daemon providing session services"
                            TYPE RUNTIME
                            PURPOSE "KDED is used at runtime for proxy management and cookie storage")

        find_package(SwitcherooControl)
        set_package_properties(SwitcherooControl PROPERTIES
            TYPE RUNTIME
            PURPOSE "Hybrid GPU support")
    endif()
endif()

# tell what is missing without doctools
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION "Provides tools to generate documentation in various format from DocBook files"
                       TYPE OPTIONAL
                       PURPOSE "Required to build help KIO worker and documentation"
                      )

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Network Concurrent Xml Test)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
set(DBUS_LIB)
if(USE_DBUS)
    find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
    add_definitions(-DWITH_QTDBUS)
    set(DBUS_LIB Qt6::DBus)
endif()

if (NOT APPLE AND NOT WIN32 AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with X11 integration" ON)
    set(HAVE_X11 ${WITH_X11})

    option(WITH_WAYLAND "Build with Wayland integration" ON)
    set(HAVE_WAYLAND ${WITH_WAYLAND})
endif()

find_package(ACL)
set(HAVE_LIBACL ${ACL_FOUND})
set(HAVE_POSIX_ACL ${ACL_FOUND})
set_package_properties(ACL PROPERTIES DESCRIPTION "LibACL"
                       URL "ftp://oss.sgi.com/projects/xfs/cmd_tars"
                       TYPE RECOMMENDED
                       PURPOSE "Support for manipulating access control lists")

# Used by KMountPoint
if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(LibMount REQUIRED)
    set(HAVE_LIB_MOUNT ${LibMount_FOUND})
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.19.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")
ki18n_install(po)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF6DocTools_FOUND)
     add_subdirectory(docs)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

include(CheckLibraryExists)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    if (NOT KIOCORE_ONLY AND NOT KIOGUI_ONLY)
        add_subdirectory(tests)
    endif()
endif()

add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KIO")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KIOConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6KIOTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6KIOTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIO COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kio (6.20.0+p24.04+vunstable+git20251202.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:44:12 +0000

kf6-kio (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-kio 6.20.0+p24.04+vunstable+git20251206.0548

=== debian/changelog ===
kf6-kio (6.20.0+p24.04+vunstable+git20251206.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:48:19 +0000

## kf6-kio 6.21.0

=== debian/changelog ===
kf6-kio (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,37 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                gettext,
-               kded6-dev (>= 6.20.0~),
+               kded6-dev (>= 6.21.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.20.0~),
-               libkf6auth-dev (>= 6.20.0~),
-               libkf6bookmarks-dev (>= 6.20.0~),
-               libkf6colorscheme-dev (>= 6.20.0~),
-               libkf6completion-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6crash-dev (>= 6.20.0~),
-               libkf6dbusaddons-dev (>= 6.20.0~),
-               libkf6doctools-dev (>= 6.20.0~),
-               libkf6guiaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6iconthemes-dev (>= 6.20.0~),
-               libkf6itemviews-dev (>= 6.20.0~),
-               libkf6jobwidgets-dev (>= 6.20.0~),
-               libkf6service-dev (>= 6.20.0~),
-               libkf6solid-dev (>= 6.20.0~),
-               libkf6wallet-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
-               libkf6windowsystem-dev (>= 6.20.0~),
+               libkf6archive-dev (>= 6.21.0~),
+               libkf6auth-dev (>= 6.21.0~),
+               libkf6bookmarks-dev (>= 6.21.0~),
+               libkf6colorscheme-dev (>= 6.21.0~),
+               libkf6completion-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6configwidgets-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6crash-dev (>= 6.21.0~),
+               libkf6dbusaddons-dev (>= 6.21.0~),
+               libkf6doctools-dev (>= 6.21.0~),
+               libkf6guiaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6iconthemes-dev (>= 6.21.0~),
+               libkf6itemviews-dev (>= 6.21.0~),
+               libkf6jobwidgets-dev (>= 6.21.0~),
+               libkf6service-dev (>= 6.21.0~),
+               libkf6solid-dev (>= 6.21.0~),
+               libkf6wallet-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6windowsystem-dev (>= 6.21.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -50,10 +50,7 @@
 
 Package: kio6
 Architecture: any
-Depends: kded6,
-         kwallet6,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: kded6, kwallet6, ${misc:Depends}, ${shlibs:Depends},
 Recommends: switcheroo-control [amd64 i386],
 Suggests: systemsettings,
 Description: resource and network access abstraction
@@ -66,16 +63,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.20.0~),
-         libkf6completion-dev (>= 6.20.0~),
-         libkf6config-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
-         libkf6itemviews-dev (>= 6.20.0~),
-         libkf6jobwidgets-dev (>= 6.20.0~),
-         libkf6service-dev (>= 6.20.0~),
-         libkf6solid-dev (>= 6.20.0~),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
-         libkf6windowsystem-dev (>= 6.20.0~),
+Depends: libkf6bookmarks-dev (>= 6.21.0~),
+         libkf6completion-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6itemviews-dev (>= 6.21.0~),
+         libkf6jobwidgets-dev (>= 6.21.0~),
+         libkf6service-dev (>= 6.21.0~),
+         libkf6solid-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
+         libkf6windowsystem-dev (>= 6.21.0~),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},

## kf6-kio 6.21.0+p24.04+vstable+git20251226.0254

=== debian/changelog ===
kf6-kio (6.21.0+p24.04+vstable+git20251226.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:54:27 +0000

kf6-kio (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:03 +1000

## kf6-kio 6.21.0+p24.04+vstable+git20251231.0111

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KIO VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -141,8 +141,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")

=== debian/changelog ===
kf6-kio (6.21.0+p24.04+vstable+git20251231.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:11:46 +0000

## kf6-kio 6.21.0+p24.04+vstable+git20260103.0326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(KIO VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-kio 6.21.0+p24.04+vunstable+git20251207.0841

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KIO VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -141,8 +141,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
-    KF 6.21.0
+    QT 6.10.0
+    KF 6.19.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")

=== debian/changelog ===
kf6-kio (6.21.0+p24.04+vunstable+git20251207.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 08:41:09 +0000

## kf6-kio 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(KIO VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -141,8 +141,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")

=== debian/changelog ===
kf6-kio (6.22.0-0zneon+24.04+noble+release+build74) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 09:38:06 +0000

kf6-kio (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:36 +1000

## kf6-kio 6.22.1

=== debian/changelog ===
kf6-kio (6.22.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.1)
    See: https://mail.kde.org/pipermail/distributions/2026-January/001670.html

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jan 2026 15:58:20 +0000

kf6-kio (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,37 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               kded6-dev (>= 6.21.0~),
+               kded6-dev (>= 6.22.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6auth-dev (>= 6.21.0~),
-               libkf6bookmarks-dev (>= 6.21.0~),
-               libkf6colorscheme-dev (>= 6.21.0~),
-               libkf6completion-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6configwidgets-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6crash-dev (>= 6.21.0~),
-               libkf6dbusaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6guiaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6iconthemes-dev (>= 6.21.0~),
-               libkf6itemviews-dev (>= 6.21.0~),
-               libkf6jobwidgets-dev (>= 6.21.0~),
-               libkf6service-dev (>= 6.21.0~),
-               libkf6solid-dev (>= 6.21.0~),
-               libkf6wallet-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
-               libkf6windowsystem-dev (>= 6.21.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6bookmarks-dev (>= 6.22.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6completion-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6itemviews-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6solid-dev (>= 6.22.0~),
+               libkf6wallet-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -63,16 +63,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.21.0~),
-         libkf6completion-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6itemviews-dev (>= 6.21.0~),
-         libkf6jobwidgets-dev (>= 6.21.0~),
-         libkf6service-dev (>= 6.21.0~),
-         libkf6solid-dev (>= 6.21.0~),
-         libkf6widgetsaddons-dev (>= 6.21.0~),
-         libkf6windowsystem-dev (>= 6.21.0~),
+Depends: libkf6bookmarks-dev (>= 6.22.0~),
+         libkf6completion-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6itemviews-dev (>= 6.22.0~),
+         libkf6jobwidgets-dev (>= 6.22.0~),
+         libkf6service-dev (>= 6.22.0~),
+         libkf6solid-dev (>= 6.22.0~),
+         libkf6widgetsaddons-dev (>= 6.22.0~),
+         libkf6windowsystem-dev (>= 6.22.0~),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},

## kf6-kio 6.22.1+p24.04+vstable+git20260131.0256

=== debian/changelog ===
kf6-kio (6.22.1+p24.04+vstable+git20260131.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:56:17 +0000

kf6-kio (6.22.1-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 10:42:49 +0000

## kf6-kio 6.22.1+p24.04+vstable+git20260202.0956

=== debian/changelog ===
kf6-kio (6.22.1+p24.04+vstable+git20260202.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:57:02 +0000

## kf6-kio 6.22.1+p24.04+vunstable+git20260201.0622

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
-
-set(KF_VERSION "6.22.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.27)
+
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(KIO VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kio (6.22.1+p24.04+vunstable+git20260201.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:22:57 +0000
